Subject: Re: bug#18454: Improve performance when -P (PCRE) is used in UTF-8 locales

From: Eric Blake <[email-masked]>
Date: Wed, 17 Sep 2014 08:25:24 -0600

On 09/17/2014 08:17 AM, Norihiro Tanaka wrote:
> Thanks for many improvements.  I applied six patches to grep and tried to
> compile it, but after the sixth patch, I recevied 'SEEK_DATA' undeclared
> error.  I looked for it on CentOS 5.10, but I couldn't find it in standard
> header files (glibc 2.5.1) and gnulib files.
> 

It should be fairly easy for gnulib to fake SEEK_DATA/SEEK_HOLE (by
treating all files as non-sparse).  I guess we haven't needed to do that
before now, because other GNU clients (such as coreutils and tar) of
this have been doing conditional compilation.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org